<!DOCTYPE HTML>


<html lang="en" xmlns:th="http://www.thymeleaf.org"
	xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5">

<head>
<title>Achievents</title>

<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport"
	content="width=device-width, initial-scale=1, shrink-to-fit=no">

<!-- Bootstrap CSS -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
	integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh"
	crossorigin="anonymous">
</head>

<body style="background-color: #E3E2E6">
	<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
		<a class="navbar-brand" href="/">Home</a>
		<button class="navbar-toggler" type="button" data-toggle="collapse"
			data-target="#navbarsExampleDefault"
			aria-controls="navbarsExampleDefault" aria-expanded="false"
			aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>

		<div class="collapse navbar-collapse" id="navbarsExampleDefault">
			<ul class="navbar-nav mr-auto">
				<li class="nav-item active"><a class="nav-link"
					sec:authorize="!hasRole('ROLE_STUDENTE')" href="/eventi/full-list">Tutti
						gli eventi</a></li>
			</ul>
			<form class="form-inline my-2 my-lg-0 bg-secondary p-2">
      <span class="text-white">Username:</span>&nbsp;<span class="text-white" sec:authentication="name">Username</span>
    </form>
    &nbsp;&nbsp;&nbsp;
    <!-- Add a logout button -->
	<form class="form-inline my-2 my-lg-0" action="#" th:action="@{/logout}" 
			   method="POST">
	
		<input type="submit" value="Logout" class="btn btn-outline-primary my-2 my-sm-0 mt-2" />
	
	</form>
		</div>
	</nav>

	<div class="container">

		<br> <br> <br> <br>

		<main role="main" class="container">
			<form action="#" th:object="${evento}">
				<div class="my-3 p-3 bg-white rounded box-shadow">
					<h2 class="border-bottom text-muted text-center border-gray pb-2 mb-0">
						Info - Evento</h2>
					<br>
					<div class="media pt-3">

						<p
							class="media-body pb-3 mb-0 large lh-125 border-bottom border-gray">
							<strong class="d-block text-gray-dark">Titolo</strong> <input
								type="hidden" th:field="*{titolo}"
								class="form-control mb-4 col-4"> <span
								th:text="*{titolo}"></span>
						</p>
					</div>
					<div class="media pt-3">
						<p
							class="media-body pb-3 mb-0 large lh-125 border-bottom border-gray">
							<strong class="d-block text-gray-dark">Descrizione</strong> <input
								type="hidden" th:field="*{desc}"
								class="form-control mb-4 col-4"> <span
								th:text="*{desc}"></span>
						</p>
					</div>
					<div class="media pt-3">
						<p
							class="media-body pb-3 mb-0 large lh-125 border-bottom border-gray">
							<strong class="d-block text-gray-dark">Settore</strong> <input
								type="hidden" th:field="*{settore}"
								class="form-control mb-4 col-4"> <span
								th:text="*{settore}"></span>
						</p>
					</div>
					<div class="media pt-3">
						<p
							class="media-body pb-3 mb-0 large lh-125 border-bottom border-gray">
							<strong class="d-block text-gray-dark">Luogo</strong> <input
								type="hidden" th:field="*{luogo}"
								class="form-control mb-4 col-4"> <span
								th:text="*{luogo}"></span>
						</p>
					</div>
					<div class="media pt-3">
						<p
							class="media-body pb-3 mb-0 large lh-125 border-bottom border-gray">
							<strong class="d-block text-gray-dark">Data</strong> <input
								type="hidden" th:field="*{data}"
								class="form-control mb-4 col-4"> <span
								th:text="*{data}"></span>
						</p>
					</div>
					<div sec:authorize="!hasRole('ROLE_STUDENTE')" class="media pt-3">
						<p
							class="media-body pb-3 mb-0 large lh-125 border-bottom border-gray">
							<strong class="d-block text-gray-dark">Universita</strong> <input
								type="hidden" th:field="*{uniEv.nome}"
								class="form-control mb-4 col-4"> <span
								th:text="*{uniEv.nome}"></span>
						</p>
					</div>
					<div class="d-flex justify-content-center media pt-3">
						<a th:if="${!iscritto}"
							sec:authorize="!hasRole('ROLE_UNIVERSITA')"
							th:href="@{/eventi/iscrizione(idEvento=*{id}, username=${#authentication.name})}"
							class="btn btn-success btn-sm col-2">Iscriviti</a> 
							<a th:if="${iscritto}"
							sec:authorize="!hasRole('ROLE_UNIVERSITA')"
							th:href="@{/eventi/disiscrizione(idEvento=*{id}, username=${#authentication.name})}"
							class="btn btn-danger btn-sm col-2">Disiscriviti</a> 
						
					</div>
					<a sec:authorize="!hasRole('ROLE_STUDENTE')" href="/eventi/full-list">Indietro</a>
					<a sec:authorize="hasRole('ROLE_STUDENTE')" th:href="@{/eventi/list(username=${#authentication.name})}">Indietro</a>

				</div>
				
			</form>
		</main>
	</div>
</body>
</html>